Subject: Re: [net-next,v4] net: dsa: mv88e6xxx: Add partial support for TCAM entries

From: Jakub Kicinski <[email-masked]>
Date: Fri, 27 Feb 2026 15:55:46 -0800

On Fri, 27 Feb 2026 15:06:35 +0100 Andrew Lunn wrote:
> > If entry_add() fails after some entries have already been moved to new
> > hardware positions with their hw_idx updated, doesn't the function return
> > without rolling back those partial moves?
> > 
> > The software list would then have some entries pointing to their new
> > positions while the gap for the new entry is only partially created.
> > This could leave the TCAM in an inconsistent state for subsequent
> > operations.
> > 
> > Is there error handling to ensure the TCAM state remains consistent when
> > insertion partially succeeds?  
> 
> Can we get replies to previous versions of the patch series included
> into the context that the AI is using to perform reviews? This has
> been explained once as being safe.

It should fetch the mailing list threads from previous postings.
but it's a bit in flux because sometimes it sends too much $$ doing
that. And other times it causes too many false positives.